<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.dahe.gldriver">

    <!--    //地图SDK（包含其搜索功能）需要的基础权限-->
    <!--允许程序打开网络套接字-->
    <uses-permission android:name="android.permission.INTERNET" />
    <!--允许程序设置内置sd卡的写权限-->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <!--允许程序获取网络状态-->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <!--允许程序访问WiFi网络信息-->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <!--允许程序访问CellID或WiFi热点来获取粗略的位置-->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />

    <!--用于访问GPS定位-->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <!--用于获取wifi的获取权限，wifi信息会用来进行网络定位-->
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <!--用于申请调用A-GPS模块-->
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" />
    <!--如果您的应用需要后台定位权限，且有可能运行在Android Q设备上,并且设置了target>28，必须增加这个权限声明-->
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_MEDIA_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.CALL_PHONE" />

    <!--    Android 13版本适配，细化存储权限-->
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />
    <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" />
    <uses-permission android:name="android.permission.READ_MEDIA_VIDEO" />

    <!--  安卓11使用相机  -->
    <queries package="${applicationId}">
        <intent>
            <action android:name="android.media.action.IMAGE_CAPTURE">

            </action>
        </intent>
        <intent>
            <action android:name="android.media.action.ACTION_VIDEO_CAPTURE">

            </action>
        </intent>
    </queries>

    <application
        android:name=".base.App"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.GLDriver"
        android:usesCleartextTraffic="true"
        tools:targetApi="31">

        <meta-data
            android:name="CHANNEL"
            android:value="${CHANNEL_VALUE}" />

        <!-- 适配全面屏 Android O vivo&oppo -->
        <meta-data
            android:name="android.max_aspect"
            android:value="2.2" /> <!-- 适配刘海屏、水滴屏 Android O 小米 -->
        <meta-data
            android:name="notch.config"
            android:value="portrait|landscape" /> <!-- 适配刘海屏、水滴屏 Android O 华为 -->
        <meta-data
            android:name="android.notch_support"
            android:value="true" />

        <meta-data
            android:name="com.amap.api.v2.apikey"
            android:value="e0c32c80b14f78b770b3671add9c4515" />


        <activity
            android:name=".ui.LauncherActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Splash"
            android:windowSoftInputMode="adjustPan|stateHidden">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>

        </activity>

        <activity
            android:name=".base.WebActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <activity
            android:name=".ui.HomeActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden">

        </activity>

        <activity
            android:name=".ui.account.LoginActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <activity
            android:name=".ui.account.CodeLoginActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.account.AuthSuccActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <!--    司机车辆认证相关start    -->

        <activity
            android:name=".ui.account.SelectRoleActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />


        <activity
            android:name=".ui.account.authperson.AuthPersonActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.account.authperson.AuthDriverActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.account.authperson.AuthQualificationActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.account.authperson.AuthBankCardActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.account.authperson.AuthFaceActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.account.authperson.AuthDrivingActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.account.authperson.AuthTrailerActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <activity
            android:name=".ui.account.authperson.AuthRoadActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.account.authteam.AuthTeamActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <!--    司机车辆认证相关end   -->

        <!--    运单相关start    -->
        <activity
            android:name=".ui.waybill.activity.WaybillDetailActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.waybill.activity.WaybillSuccActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <activity
            android:name=".ui.waybill.activity.WaybillLoadActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.waybill.activity.WaybillRateActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <activity
            android:name=".ui.waybill.activity.WaybillUnlLoadActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <activity
            android:name=".ui.waybill.activity.WaybillUpPicActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <!--    运单相关end    -->

        <!--    我的相关start    -->
        <activity
            android:name=".ui.mine.activity.CarsManActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.mine.activity.WalletActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.mine.activity.RulesActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.account.authperson.AuthPartyActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <activity
            android:name=".ui.mine.activity.CarTeamActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.mine.activity.DriverTeamDetailActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.mine.activity.DriverTeamsActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.mine.activity.PersonInfoActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <activity
            android:name=".ui.mine.InviteDriverActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".ui.mine.InviteRecordActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <!--    我的相关end    -->


    </application>

</manifest>